package dev.shadowsoffire.apotheosis.adventure.affix.effect;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.google.common.base.Predicate;
import dev.shadowsoffire.apotheosis.adventure.affix.effect.RadialAffix;
import java.util.Locale;
import net.minecraft.network.chat.Component;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.player.Player;

enum RadialState {
  REQUIRE_SNEAKING(Entity::m_6144_),
  ENABLED(p -> true),
  DISABLED(p -> false),
  REQUIRE_NOT_SNEAKING(p -> false);
  
  static {
    REQUIRE_NOT_SNEAKING = new RadialState("REQUIRE_NOT_SNEAKING", 0, p -> !p.m_6144_());
  }
  
  private Predicate<Player> condition;
  
  RadialState(Predicate<Player> condition) {
    this.condition = condition;
  }
  
  public boolean isRadialMiningEnabled(Player input) {
    return this.condition.apply(input);
  }
  
  public RadialState next() {
    switch (RadialAffix.null.$SwitchMap$dev$shadowsoffire$apotheosis$adventure$affix$effect$RadialAffix$RadialState[ordinal()]) {
      default:
        throw new IncompatibleClassChangeError();
      case 1:
      
      case 2:
      
      case 3:
      
      case 4:
        break;
    } 
    return 


      
      REQUIRE_NOT_SNEAKING;
  }
  
  public Component toComponent() {
    return (Component)Component.m_237115_("misc.apotheosis.radial_state." + name().toLowerCase(Locale.ROOT));
  }
  
  public static RadialState getState(Player player) {
    String str = player.getPersistentData().m_128461_("apoth.radial_state");
    try {
      return valueOf(str);
    } catch (Exception ex) {
      setState(player, REQUIRE_NOT_SNEAKING);
      return REQUIRE_NOT_SNEAKING;
    } 
  }
  
  public static void setState(Player player, RadialState state) {
    player.getPersistentData().m_128359_("apoth.radial_state", state.name());
  }
}
